Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 513182 - Migration of remaining SVN repos to Git
Summary: Migration of remaining SVN repos to Git
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: CVS/SVN/Git (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Deadline: 2014-06-21
Assignee: Gentoo Infrastructure
URL:
Whiteboard:
Keywords:
: 572388 (view as bug list)
Depends on: 512116 513258 513262 513264 513358 513436
Blocks:
  Show dependency tree
 
Reported: 2014-06-14 07:23 UTC by Robin Johnson
Modified: 2016-06-25 11:28 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2014-06-14 07:23:29 UTC
All of the following repos need to move to Git ASAP, we are discontinuing SVN service.

deadline 2014/06/21.

svn.g.o:
baselayout -> proj/baselayout
linux-patches -> proj/linux-patches
 
svn.overlays.g.o (all 1:1 moves)
proj/alt
proj/gnustep
proj/toolchain
proj/vdr
dev/dirtyepic
dev/pauldv
dev/vapier
Comment 1 Ryan Hill (RETIRED) gentoo-dev 2014-06-14 08:32:23 UTC
Don't bother with dev/dirtyepic. ;)

Vapier can you update the daily snapshot scripts to git?
Comment 2 Fabian Groffen gentoo-dev 2014-06-14 13:18:01 UTC
svn.overlays.gentoo.org

proj/alt/trunk/prefix-overlay: please drop/skip, it has been migrated to Mercurial with history to http://prefix.gentooexperimental.org/hg/prefix-tree/

proj/alt/trunk/odcctools: very outdated, no longer in use by us, a backup would do.  git repo, certainly overdone.  If too much bother, I'd be happy to keep a copy myself.

proj/alt/trunk/transition-overlay: I believe this is very old stuff from BSD folks, prior to gentoo-bsd.git.
Comment 3 Fabian Groffen gentoo-dev 2014-06-14 13:36:21 UTC
svn.gentoo.org:

gentoo-alt/trunk/aix-miscutils: afaict still in use

gentoo-alt/trunk/baselayout-prefix: deprecated by einfo (http://prefix.gentooexperimental.org/hg/einfo/)

gentoo-alt/trunk/ruby-checker: I don't know what this is

gentoo-alt/trunk/toolchain-prefix-wrapper: still in use (binutils-config)
Comment 4 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2014-06-14 18:11:53 UTC
I wasn't braining enough, and there are more repos that need conversion as well.

Here are the complete list of SVN repos still on svn.overlays (1:1) moves:
dev/anant
dev/aross
dev/bangert
dev/beandog
dev/chtekk
dev/coldwind
dev/dang
dev/deathwing00
dev/dertobi123
dev/dirtyepic
dev/drizzt
dev/genstef
dev/hattya
dev/hollow
dev/je_fro
dev/johnm
dev/jokey
dev/kevquinn
dev/liquidx
dev/lu_zero
dev/mabi
dev/marineam
dev/masterdriverz
dev/mescalinum
dev/nichoj
dev/omp
dev/pauldv
dev/philantrop
dev/phreak
dev/pva
dev/radek
dev/rbrown
dev/rbu
dev/seemant
dev/suka
dev/trapni
dev/vapier
dev/weeve
dev/wolf31o2
dev/wrobel
dev/zaheerm
dev/zeypher
dev/zzam
proj/alt
proj/artwork
proj/cell
proj/docs-pl
proj/efika
proj/embedded
proj/finnish
proj/games
proj/gcc-porting
proj/gnustep
proj/kernel-packages
proj/kolab
proj/perl
proj/postgresql
proj/powerpc
proj/rox
proj/ruby
proj/science
proj/security
proj/toolchain
proj/vdr
proj/vps
proj/webapps
proj/xen

svn.g.o (Should all gain proj/ on the front):
adopt-a-dev
autoepatch
gentoo-dev-summary
gli
hwdata
kbase
livecd-tools
scire
vps
Comment 5 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2014-06-14 18:13:19 UTC
dirtyepic/grobian:
I'm proposing doing a 1:1 conversion as much as possible, to save time in thinking about the conversions.
Any extra processing or deletions you can add later on.
Comment 6 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2014-06-14 18:14:13 UTC
sping:
You helped once before with lots of SVN->Git conversions, can you lend infra a hand on good quick 1:1 conversions? See the list in comment #4.
Comment 7 Justin Lecher gentoo-dev 2014-06-14 18:49:17 UTC
(In reply to Robin Johnson from comment #4)
> proj/science

Can be dropped as it is already on git and actively used.
Comment 8 Pavlos Ratis (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2014-06-14 18:50:56 UTC
Entries in repositories.xml should also be updated after the migration.
Comment 9 Sebastian Pipping gentoo-dev 2014-06-14 21:51:38 UTC
To be able to communicate status better:

https://wiki.gentoo.org/wiki/Project:Infrastructure/SvnGitMigration
Comment 10 Sebastian Pipping gentoo-dev 2014-06-14 22:02:21 UTC
(In reply to Pavlos Ratis from comment #8)
> Entries in repositories.xml should also be updated after the migration.

Good point, related column added to wiki page.
Comment 11 Fabian Groffen gentoo-dev 2014-06-15 13:04:34 UTC
(In reply to Robin Johnson from comment #5)
> dirtyepic/grobian:
> I'm proposing doing a 1:1 conversion as much as possible, to save time in
> thinking about the conversions.
> Any extra processing or deletions you can add later on.

proj/gentoo-alt is huge, and crufty, so save yourself the time/headache.
Comment 12 Sebastian Pipping gentoo-dev 2014-06-21 17:59:37 UTC
This is the layman view, i.e. things that would become inaccessible unless flipped:

# layman -L | fgrep svn://overlays.gentoo.org/
 * cell                      [Subversion] (svn://overlays.gentoo.org/proj/cell )
 * efika                     [Subversion] (svn://overlays.gentoo.org/proj/efika)
 * games                     [Subversion] (svn://overlays.gentoo.org/proj/games)
 * je_fro                    [Subversion] (svn://overlays.gentoo.org/dev/je_fro)
 * suka                      [Subversion] (svn://overlays.gentoo.org/dev/suka  )
 * vps                       [Subversion] (svn://overlays.gentoo.org/proj/vps  )

# layman -L | fgrep svn://o.g.o/
 * deathwing00               [Subversion] (svn://o.g.o/dev/deathwing00         )
 * dertobi123                [Subversion] (svn://o.g.o/dev/dertobi123          )
 * dirtyepic                 [Subversion] (svn://o.g.o/dev/dirtyepic           )
 * drizzt-overlay            [Subversion] (svn://o.g.o/dev/drizzt/             )
 * finnish                   [Subversion] (svn://o.g.o/proj/finnish/trunk      )
 * gcc-porting               [Subversion] (svn://o.g.o/proj/gcc-porting        )
 * genstef                   [Subversion] (svn://o.g.o/dev/genstef             )
 * gnustep                   [Subversion] (svn://o.g.o/proj/gnustep/overlay    )
 * jokey                     [Subversion] (svn://o.g.o/dev/jokey/trunk         )
 * kolab                     [Subversion] (svn://o.g.o/proj/kolab/overlay      )
 * liquidx                   [Subversion] (svn://o.g.o/dev/liquidx             )
 * lu_zero                   [Subversion] (svn://o.g.o/dev/lu_zero             )
 * marineam-xen              [Subversion] (svn://o.g.o/dev/marineam/xen        )
 * nx                        [Subversion] (svn://o.g.o/proj/nx/testing         )
 * openmoko                  [Subversion] (svn://o.g.o/proj/embedded/openmoko  )
 * plan9                     [Subversion] (svn://o.g.o/dev/anant/plan9         )
 * postgresql-experimental   [Subversion] (svn://o.g.o/proj/postgresql/exper...)
 * postgresql-testing        [Subversion] (svn://o.g.o/proj/postgresql/testing )
 * powerpc                   [Subversion] (svn://o.g.o/proj/powerpc            )
 * rbu                       [Subversion] (svn://o.g.o/dev/rbu/overlay         )
 * rox                       [Subversion] (svn://o.g.o/proj/rox/trunk/overlay/ )
 * secondlife                [Subversion] (svn://o.g.o/dev/matsuu/secondlife/  )
 * seemant                   [Subversion] (svn://o.g.o/dev/seemant             )
 * tcl-8.6                   [Subversion] (svn://o.g.o/dev/mescalinum/tcl-8.6  )
 * tcl-multislot             [Subversion] (svn://o.g.o/dev/mescalinum/tcl-mu...)
 * toolchain                 [Subversion] (svn://o.g.o/proj/toolchain          )
 * trapni                    [Subversion] (svn://o.g.o/dev/trapni/overlay      )
 * vdr-devel                 [Subversion] (svn://o.g.o/proj/vdr/vdr-devel      )
 * vdr-testing               [Subversion] (svn://o.g.o/proj/vdr/testing        )
 * webapps-experimental      [Subversion] (svn://o.g.o/proj/webapps/experime...)
 * wrobel                    [Subversion] (svn://o.g.o/dev/wrobel/stable       )
 * xen                       [Subversion] (svn://o.g.o/proj/xen/overlay        )
Comment 13 Pavlos Ratis (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2014-08-09 10:25:46 UTC
* All SVN repos have been moved to Git.
* repositories.xml has been updated with the new URLs.
* Announcement posted.

For more details check wiki page:
https://wiki.gentoo.org/wiki/Project:Infrastructure/SvnGitMigration

We can wait till the end of the month to see if there are any issues with the migration and then we can resolve the bug.
Comment 14 Pavlos Ratis (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2014-09-24 20:48:10 UTC
(In reply to Pavlos Ratis from comment #13)
> * All SVN repos have been moved to Git.
> * repositories.xml has been updated with the new URLs.
> * Announcement posted.
> 
> For more details check wiki page:
> https://wiki.gentoo.org/wiki/Project:Infrastructure/SvnGitMigration
> 
> We can wait till the end of the month to see if there are any issues with
> the migration and then we can resolve the bug.

A month has passed since the svn2git migration without any reported issue. Therefore, I'm resolving this bug.
Comment 15 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2015-01-31 17:30:54 UTC
sping:
we do need one more conversion, grobian was mistaken about the gentoo-alt SVN repo from svn.g.o (not to be confused with the overlays one).

Can you do a conversion of it for him please?
Comment 16 Fabian Groffen gentoo-dev 2015-01-31 17:34:06 UTC
(In reply to Robin Johnson from comment #15)
> sping:
> we do need one more conversion, grobian was mistaken about the gentoo-alt
> SVN repo from svn.g.o (not to be confused with the overlays one).
> 
> Can you do a conversion of it for him please?

If possible, I'd like to have separate repos for

aix-miscutils/
baselayout-prefix/
toolchain-prefix-wrapper/

ruby-checker appears to have moved, and is not necessary.

Thanks!
Comment 17 Michael Haubenwallner gentoo-dev 2015-02-10 12:38:11 UTC
(In reply to Fabian Groffen from comment #16)
> aix-miscutils/
> baselayout-prefix/
> toolchain-prefix-wrapper/

So we don't have some VCS-access for them right now?

Not a problem by itself, but some note that svn is in migration would be nice here: http://sources.gentoo.org/cgi-bin/viewvc.cgi
Comment 18 Sebastian Pipping gentoo-dev 2015-02-10 20:16:01 UTC
(In reply to Fabian Groffen from comment #16)
> If possible, I'd like to have separate repos for
> 
> aix-miscutils/
> baselayout-prefix/
> toolchain-prefix-wrapper/

Is that still needed?  If yes: At GitHub or git.overlays.gentoo.org (with Gitweb still down)?
Comment 19 Fabian Groffen gentoo-dev 2016-02-09 18:29:11 UTC
*** Bug 572388 has been marked as a duplicate of this bug. ***
Comment 20 Fabian Groffen gentoo-dev 2016-02-09 18:30:18 UTC
(In reply to Sebastian Pipping from comment #18)
> (In reply to Fabian Groffen from comment #16)
> > If possible, I'd like to have separate repos for
> > 
> > aix-miscutils/
> > baselayout-prefix/
> > toolchain-prefix-wrapper/
> 
> Is that still needed?  If yes: At GitHub or git.overlays.gentoo.org (with
> Gitweb still down)?

yes, on gentoo infra please
Comment 21 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2016-06-22 10:12:27 UTC
(In reply to Fabian Groffen from comment #20)
> (In reply to Sebastian Pipping from comment #18)
> > (In reply to Fabian Groffen from comment #16)
> > > If possible, I'd like to have separate repos for
> > > 
> > > aix-miscutils/
> > > baselayout-prefix/
> > > toolchain-prefix-wrapper/
> > 
> > Is that still needed?  If yes: At GitHub or git.overlays.gentoo.org (with
> > Gitweb still down)?
> 
> yes, on gentoo infra please

Looks like nothing happened here yet. If I provide you with the repos, can you get the contents migrated and pushed?
Comment 22 Fabian Groffen gentoo-dev 2016-06-22 12:33:29 UTC
(In reply to Alex Legler from comment #21)
> (In reply to Fabian Groffen from comment #20)
> > (In reply to Sebastian Pipping from comment #18)
> > > (In reply to Fabian Groffen from comment #16)
> > > > If possible, I'd like to have separate repos for
> > > > 
> > > > aix-miscutils/
> > > > baselayout-prefix/
> > > > toolchain-prefix-wrapper/
> > > 
> > > Is that still needed?  If yes: At GitHub or git.overlays.gentoo.org (with
> > > Gitweb still down)?
> > 
> > yes, on gentoo infra please
> 
> Looks like nothing happened here yet. If I provide you with the repos, can
> you get the contents migrated and pushed?

that would work, yes.
Comment 23 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2016-06-25 07:44:14 UTC
(In reply to Fabian Groffen from comment #22)

There should now be a bunch of repos here: https://gitweb.gentoo.org/proj/prefix/
Comment 24 Fabian Groffen gentoo-dev 2016-06-25 11:28:04 UTC
yes, but they're all empty.

I think we can consider this loss as a passed station and continue with our lives.  We've started over from scratch in one case anyway.